<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.custom.mapper.BottleBodyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bottleBodyResultMap" type="org.springblade.modules.custom.entity.BottleBody">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="name" property="name"/>
        <result column="image" property="image"/>
        <result column="capacity" property="capacity"/>
        <result column="price" property="price"/>
        <result column="unit" property="unit"/>
        <result column="sort" property="sort"/>
        <result column="status" property="status"/>
    </resultMap>


    <select id="selectBottleBodyPage" resultMap="bottleBodyResultMap">
        select * from biz_bottle_body where is_deleted = 0
    </select>

</mapper>
